# Uses of Enum Class
net.shibboleth.idp.authn.config.LDAPAuthenticationFactoryBean.PassivatorType

Packages that use LDAPAuthenticationFactoryBean.PassivatorType
Package
Description
net.shibboleth.idp.authn.config
Configuration touchpoints for authentication flows.

## Uses of LDAPAuthenticationFactoryBean.PassivatorType in net.shibboleth.idp.authn.config

Fields in net.shibboleth.idp.authn.config declared as LDAPAuthenticationFactoryBean.PassivatorType
Modifier and Type
Field
Description
`private LDAPAuthenticationFactoryBean.PassivatorType`
LDAPAuthenticationFactoryBean.`bindPoolPassivatorType`
Type of passivator to configure for the bind pool.
Methods in net.shibboleth.idp.authn.config that return LDAPAuthenticationFactoryBean.PassivatorType
Modifier and Type
Method
Description
`static LDAPAuthenticationFactoryBean.PassivatorType`
LDAPAuthenticationFactoryBean.PassivatorType.`fromLabel(String s)`
Returns the enum matching the input label.
`static LDAPAuthenticationFactoryBean.PassivatorType`
LDAPAuthenticationFactoryBean.PassivatorType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LDAPAuthenticationFactoryBean.PassivatorType[]`
LDAPAuthenticationFactoryBean.PassivatorType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in net.shibboleth.idp.authn.config with parameters of type LDAPAuthenticationFactoryBean.PassivatorType
Modifier and Type
Method
Description
`protected ConnectionPassivator`
LDAPAuthenticationFactoryBean.`createConnectionPassivator(LDAPAuthenticationFactoryBean.PassivatorType type)`
Creates `ConnectionPassivator` object.